#pragma once
#include <map>

#include "Texture.h"

class TextureManager
{
public:
	TextureManager() = default;

	static TextureManager* GetInstance();

	Texture* GetTexture(const std::string& name);
	
	static TextureManager* m_pInstance;
private:
	std::map<std::string, Texture*> m_Textures{};
	
};

